<html>
<head>
<title>OgreOverlay.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreOverlay.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreOverlay_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Overlay_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Overlay_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreSceneNode_8h.html">OgreSceneNode.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreIteratorWrappers_8h.html">OgreIteratorWrappers.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreMatrix4_8h.html">OgreMatrix4.h</a>&quot;</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="keyword">namespace </span>Ogre {
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 
<a name="l00070"></a><a class="code" href="classOgre_1_1Overlay.html">00070</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">OverlayAlloc</a>
<a name="l00071"></a>00071     {
<a name="l00072"></a>00072 
<a name="l00073"></a>00073     <span class="keyword">public</span>:
<a name="l00074"></a><a class="code" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">00074</a>               <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1list.html">list&lt;OverlayContainer*&gt;::type</a> <a class="code" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">OverlayContainerList</a>;
<a name="l00075"></a>00075     <span class="keyword">protected</span>:
<a name="l00076"></a><a class="code" href="classOgre_1_1Overlay.html#af3f2cf5abee8dfa0c4a405fc4def8090">00076</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1Overlay.html#af3f2cf5abee8dfa0c4a405fc4def8090">mName</a>;
<a name="l00078"></a><a class="code" href="classOgre_1_1Overlay.html#a09e2075d2d0be9ca8e1c82ff1b4bbd4f">00078</a>         <a class="code" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a>* <a class="code" href="classOgre_1_1Overlay.html#a09e2075d2d0be9ca8e1c82ff1b4bbd4f" title="Internal root node, used as parent for 3D objects.">mRootNode</a>;
<a name="l00079"></a>00079         <span class="comment">// 2D elements</span>
<a name="l00080"></a>00080         <span class="comment">// OverlayContainers, linked list for easy sorting by zorder later</span>
<a name="l00081"></a>00081         <span class="comment">// Not a map because sort can be saved since changes infrequent (unlike render queue)</span>
<a name="l00082"></a><a class="code" href="classOgre_1_1Overlay.html#a7092a701bd3064f4d37ed107a38d3af5">00082</a>         <a class="code" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">OverlayContainerList</a> <a class="code" href="classOgre_1_1Overlay.html#a7092a701bd3064f4d37ed107a38d3af5">m2DElements</a>;
<a name="l00083"></a>00083 
<a name="l00084"></a>00084         <span class="comment">// Degrees of rotation around center</span>
<a name="l00085"></a><a class="code" href="classOgre_1_1Overlay.html#acfea58e14ec720e91320d16f40d72dd2">00085</a>         <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> <a class="code" href="classOgre_1_1Overlay.html#acfea58e14ec720e91320d16f40d72dd2">mRotate</a>;
<a name="l00086"></a>00086         <span class="comment">// Scroll values, offsets</span>
<a name="l00087"></a><a class="code" href="classOgre_1_1Overlay.html#a18010a80c39421d071b5d159f166a8f0">00087</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mScrollX, <a class="code" href="classOgre_1_1Overlay.html#a18010a80c39421d071b5d159f166a8f0">mScrollY</a>;
<a name="l00088"></a>00088         <span class="comment">// Scale values</span>
<a name="l00089"></a><a class="code" href="classOgre_1_1Overlay.html#a918d0776ae24dae53716e6e2fa01524b">00089</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mScaleX, <a class="code" href="classOgre_1_1Overlay.html#a918d0776ae24dae53716e6e2fa01524b">mScaleY</a>;
<a name="l00090"></a>00090 
<a name="l00091"></a><a class="code" href="classOgre_1_1Overlay.html#a2ef3578f72ef61935cd55529598eaf98">00091</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1Overlay.html#a2ef3578f72ef61935cd55529598eaf98">mTransform</a>;
<a name="l00092"></a><a class="code" href="classOgre_1_1Overlay.html#ac70a9397e1355a83237e7b2e05416017">00092</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Overlay.html#ac70a9397e1355a83237e7b2e05416017">mTransformOutOfDate</a>;
<a name="l00093"></a><a class="code" href="classOgre_1_1Overlay.html#a681c81ead2967a473100495dac9b82ab">00093</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Overlay.html#a681c81ead2967a473100495dac9b82ab">mTransformUpdated</a>;
<a name="l00094"></a><a class="code" href="classOgre_1_1Overlay.html#a0671899a71d5ed5ca4973e236b77b75e">00094</a>         <a class="code" href="namespaceOgre.html#a4304981347643708ee9a7ba8884e5758">ulong</a> <a class="code" href="classOgre_1_1Overlay.html#a0671899a71d5ed5ca4973e236b77b75e">mZOrder</a>;
<a name="l00095"></a><a class="code" href="classOgre_1_1Overlay.html#aa8c41f39e68f82a6e4d9f7b080e3eb08">00095</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Overlay.html#aa8c41f39e68f82a6e4d9f7b080e3eb08">mVisible</a>;
<a name="l00096"></a><a class="code" href="classOgre_1_1Overlay.html#ae9d25c8decc42d2369c437dd45d337c1">00096</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Overlay.html#ae9d25c8decc42d2369c437dd45d337c1">mInitialised</a>;
<a name="l00097"></a><a class="code" href="classOgre_1_1Overlay.html#acc986bc34b6e22883cb941378b068f8b">00097</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1Overlay.html#acc986bc34b6e22883cb941378b068f8b">mOrigin</a>;
<a name="l00099"></a>00099         <span class="keywordtype">void</span> updateTransform(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00101"></a>00101         <span class="keywordtype">void</span> initialise(<span class="keywordtype">void</span>);
<a name="l00103"></a>00103         <span class="keywordtype">void</span> assignZOrders(<span class="keywordtype">void</span>);
<a name="l00104"></a>00104 
<a name="l00105"></a>00105     <span class="keyword">public</span>:
<a name="l00107"></a>00107         <a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00108"></a>00108         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>();
<a name="l00109"></a>00109 
<a name="l00110"></a>00110 
<a name="l00111"></a>00111         <a class="code" href="classOgre_1_1OverlayContainer.html" title="A 2D element which contains other OverlayElement instances.">OverlayContainer</a>* getChild(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00112"></a>00112 
<a name="l00114"></a>00114         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00119"></a>00119         <span class="keywordtype">void</span> setZOrder(<a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> zorder);
<a name="l00121"></a>00121         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> getZOrder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00122"></a>00122 
<a name="l00124"></a>00124         <span class="keywordtype">bool</span> isVisible(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00125"></a>00125 
<a name="l00127"></a><a class="code" href="classOgre_1_1Overlay.html#a5680b79c15b1f810c0f3bf93541994fb">00127</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Overlay.html#a5680b79c15b1f810c0f3bf93541994fb" title="Gets whether the overlay is initialised or not.">isInitialised</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mInitialised; }
<a name="l00128"></a>00128 
<a name="l00130"></a>00130         <span class="keywordtype">void</span> show(<span class="keywordtype">void</span>);
<a name="l00131"></a>00131 
<a name="l00133"></a>00133         <span class="keywordtype">void</span> hide(<span class="keywordtype">void</span>);
<a name="l00134"></a>00134 
<a name="l00145"></a>00145         <span class="keywordtype">void</span> add2D(<a class="code" href="classOgre_1_1OverlayContainer.html" title="A 2D element which contains other OverlayElement instances.">OverlayContainer</a>* cont);
<a name="l00146"></a>00146 
<a name="l00147"></a>00147 
<a name="l00152"></a>00152         <span class="keywordtype">void</span> remove2D(<a class="code" href="classOgre_1_1OverlayContainer.html" title="A 2D element which contains other OverlayElement instances.">OverlayContainer</a>* cont);
<a name="l00153"></a>00153 
<a name="l00186"></a>00186         <span class="keywordtype">void</span> add3D(<a class="code" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a>* node);
<a name="l00187"></a>00187 
<a name="l00189"></a>00189         <span class="keywordtype">void</span> remove3D(<a class="code" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a>* node);
<a name="l00190"></a>00190 
<a name="l00192"></a>00192         <span class="keywordtype">void</span> clear();
<a name="l00193"></a>00193 
<a name="l00203"></a>00203         <span class="keywordtype">void</span> setScroll(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> y);
<a name="l00204"></a>00204 
<a name="l00206"></a>00206         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getScrollX(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00207"></a>00207 
<a name="l00209"></a>00209         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getScrollY(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00210"></a>00210 
<a name="l00217"></a>00217         <span class="keywordtype">void</span> scroll(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> xoff, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> yoff);
<a name="l00218"></a>00218 
<a name="l00220"></a>00220         <span class="keywordtype">void</span> setRotate(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; angle);
<a name="l00221"></a>00221 
<a name="l00223"></a><a class="code" href="classOgre_1_1Overlay.html#adddd063aa2b50cbf00f9b2a96f4e16b6">00223</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> &amp;<a class="code" href="classOgre_1_1Overlay.html#adddd063aa2b50cbf00f9b2a96f4e16b6" title="Gets the rotation applied to this overlay, in degrees.">getRotate</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mRotate; }
<a name="l00224"></a>00224 
<a name="l00226"></a>00226         <span class="keywordtype">void</span> rotate(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; angle);
<a name="l00227"></a>00227 
<a name="l00235"></a>00235         <span class="keywordtype">void</span> setScale(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> y);
<a name="l00236"></a>00236 
<a name="l00238"></a>00238         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getScaleX(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00239"></a>00239 
<a name="l00241"></a>00241         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getScaleY(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00242"></a>00242 
<a name="l00244"></a>00244         <span class="keywordtype">void</span> _getWorldTransforms(<a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>* xform) <span class="keyword">const</span>;
<a name="l00245"></a>00245 
<a name="l00247"></a>00247         <span class="keywordtype">void</span> _findVisibleObjects(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam, <a class="code" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>* queue);
<a name="l00248"></a>00248 
<a name="l00250"></a>00250         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>* findElementAt(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> y);
<a name="l00251"></a>00251 
<a name="l00256"></a><a class="code" href="classOgre_1_1Overlay.html#a9de93b21d275a160987ab71f514e617b">00256</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">VectorIterator&lt;OverlayContainerList&gt;</a> <a class="code" href="classOgre_1_1Overlay.html#a9de93b21d275a160987ab71f514e617b" title="Returns an iterator over all 2D elements in this manager.">Overlay2DElementsIterator</a> ;
<a name="l00257"></a><a class="code" href="classOgre_1_1Overlay.html#a659220630fe743a8359455f31640b465">00257</a>         <a class="code" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">Overlay2DElementsIterator</a> get2DElementsIterator ()
<a name="l00258"></a>00258         {
<a name="l00259"></a>00259             <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">Overlay2DElementsIterator</a> (m2DElements.begin(), m2DElements.end());
<a name="l00260"></a>00260         }
<a name="l00267"></a><a class="code" href="classOgre_1_1Overlay.html#a7b04bcdbc67a779836cbbf04dd1e21ff">00267</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1Overlay.html#a7b04bcdbc67a779836cbbf04dd1e21ff" title="Get the origin of this overlay, e.g.">getOrigin</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mOrigin; }
<a name="l00269"></a><a class="code" href="classOgre_1_1Overlay.html#ae48bf2a6596b514f95e9d3a437d8e1e0">00269</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Overlay.html#ae48bf2a6596b514f95e9d3a437d8e1e0" title="Notify this overlay of it&#39;s origin.">_notifyOrigin</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; origin) { mOrigin = origin; }
<a name="l00270"></a>00270 
<a name="l00271"></a>00271 
<a name="l00272"></a>00272     };
<a name="l00276"></a>00276 }
<a name="l00277"></a>00277 
<a name="l00278"></a>00278 
<a name="l00279"></a>00279 <span class="preprocessor">#endif</span>
<a name="l00280"></a>00280 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
